function s=shade(x,y,z)
% Retorna o sombreamento da superficie
% ou seja, o valor do pixel, simulando
% a iluminacao da superficie.
% O ponto x,y,z precisa estar sobre a
% superficie a se visualizar.

%direcao da fonte de luz
L=[3; 4; 5];
L=L/norm(L);

%direcao da normal da superficie
N=normal(x,y,z);

%componente de ambiente
env=1;

%componente difusa
dif=max([L'*N; 0]);

%combinacao
s=0.3*env+0.7*dif;
