function r=func(x,y,z)
% func(x,y,z) eh uma funcao de R3 em R
% que define uma superficie implicita
% Se r for negativo, o ponto esta fora.
% Se for positivo esta dentro.
% Se for zero, esta sobre a superficie.

% assumir que x,y,z variam de 1 a 100
% vamos ajustar para x,y,z entre -1 e 1

x= (x-50)/50;
y= (y-50)/50;
z= (z-50)/50;

% agora aplicamos uma funcao para o cubo
% de lado 2 centrado na origem (-1..1)

% Remova os comentarios da funcao desejada
%-----------------------------------------

% Esfera
% r=x^2+y^2+z^2-0.95;

% Blob
% x=x*3;
% y=y*3;
% z=z*1.1;
% delta=1.1;
% r=exp(1-y^2-(x+delta)^2-z^2)+exp(1-y^2-(x-delta)^2-z^2)+exp(1-(y-1.6*delta)^2-x^2-z^2)-1;

% Heart
 x=-1.6*x;
 y=1.2*y;
 z=0.8*z;
 r=(2*z^2+x^2+y^2-1)^3-(0.1*(z)^2+y^2)*x^3;

% Torus
% x=x*3;
% yr=y*3;
% zr=z*3;
% y=cos(pi/4)*yr+sin(pi/4)*zr;
% z=-sin(pi/4)*yr+cos(pi/4)*zr;
% Ro=0.4;
% Ri=1.8;
% P=Ri*Ri+Ro*Ro;
% M=Ri*Ri-Ro*Ro;
% MM=M*M;
% r=x^4+2*x^2*(y^2+z^2-P)+y^4+2*y^2*(z^2+M)+z^4-2*z^2*P+MM;

% W
% x=x*4; y=y*4; z=z*4;
% r=cos(x) * cos(y) + cos(y) * cos(z) + cos(z) * cos(x) -cos(x) * cos(y) * cos(z);

% Neovius
% x=x*4; y=y*4; z=z*4;
% r= 3*(cos(x) + cos(y) + cos(z)) + 4* cos(x) * cos(y) * cos(z);

% Giroide
% x=x*4; y=y*4; z=z*4;
% r= cos(x) * sin(y) + cos(y) * sin(z) + cos(z) * sin(x);

% P
% x=x*4; y=y*4; z=z*4;
% r= cos(x) +  cos(y) +  cos(z)

% PW
% x=x*4; y=y*4; z=z*4;
% r=4*(cos(x)*cos(y)+cos(y)*cos(z)+cos(z)*cos(x))-3*cos(x)*cos(y)*cos(z) +2.4;

% Diamond
% x=x*4; y=y*4; z=z*4;
% r=sin(x)*sin(y)*sin(z)+sin(x)*cos(y)*cos(z)+cos(x)*sin(y)*cos(z) + cos(x)*cos(y)*sin(z);
