function r=normal(x,y,z)
% Retorna a direcao normal em um ponto
% da superficie por aproximacao do gradiente
f=func(x,y,z);
df_dx=(func(x+0.1,y,z)-f)/0.1;
df_dy=(func(x,y+0.1,z)-f)/0.1;
df_dz=(func(x,y,z+0.1)-f)/0.1;
grad=[df_dx; df_dy; df_dz];
n=norm(grad);
if n<0.000001
  r=[0; 0; 0]
else
  r=grad/norm(grad);
end

